<?php
class EVDatepicker extends AppEvento{
	
	public $nombreMeses = array(
			'Enero',
			'Febrero',
			'Marzo',
			'Abril',
			'Mayo',
			'Junio',
			'Julio',
			'Agosto',
			'Septiembre',
			'Octubre',
			'Noviembre',
			'Diciembre'	);
	
	public function renderEvento(){
		$meses = "'".implode("', '", $this->nombreMeses). "'";
		
		$salida =  "$('". $this->padre->identificadorScript() ."').datepicker({ dateFormat: 'dd/mm/yy', monthNames: [".$meses."], firstDay: 1 , dayNamesMin: ['D', 'L', 'M', 'X', 'J', 'V', 'S'] });
				$('". $this->padre->identificadorScript() ."').parent().parent().find('.show-calendar').click(function(){
							try {
								MSSAndroidFunction.openDatePickerDialog($('input').index($('". $this->padre->identificadorScript() ."')), $('". $this->padre->identificadorScript() ."').val());
								$ ('".$this->padre->identificadorScript()."').datepicker('hide');
								$ ('".$this->padre->identificadorScript()."').datepicker('destroy');
							} catch (e) {
										$ ('".$this->padre->identificadorScript()."').datepicker( 'show' );
								//console.log(e);
							}
							
					});
						$('". $this->padre->identificadorScript() ."').click(function(){
							try {
								MSSAndroidFunction.openDatePickerDialog($('input').index(this), $(this).val());
								$(this).datepicker('hide');
								$(this).datepicker('destroy');
							} catch (e) {
								console.log(e);
							}
								
						});
				";
		
		return $salida;
	}
}